summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBastien Nocera <hadess@hadess.net>2002-09-24 22:52:19 +0000
committerBastien Nocera <hadess@src.gnome.org>2002-09-24 22:52:19 +0000
commitc7ea4647358ab9acd9b06503987f304b82f24975 (patch)
tree96140a44f076252763a119cd719fe2ee6cc0659e
parentb47fbc774e2fccea9fc9cdcdd7930650e787d0c1 (diff)
downloadgnome-common-gnome-2-0.tar.gz
exit if aclocal-1.4 fails to run without warnings Usually compilationgnome-2-0
2002-09-24 Bastien Nocera <hadess@hadess.net> * autogen.sh: exit if aclocal-1.4 fails to run without warnings Usually compilation would fail afterwards with funky errors. Branched to gnome-2-0 svn path=/branches/gnome-2-0/; revision=2596
-rw-r--r--macros2/ChangeLog6
-rw-r--r--macros2/autogen.sh12
2 files changed, 17 insertions, 1 deletions
diff --git a/macros2/ChangeLog b/macros2/ChangeLog
index 7c72188..eb7907f 100644
--- a/macros2/ChangeLog
+++ b/macros2/ChangeLog
@@ -1,3 +1,9 @@
+2002-09-24 Bastien Nocera <hadess@hadess.net>
+
+ * autogen.sh: exit if aclocal-1.4 fails to run without warnings
+ Usually compilation would fail afterwards with funky errors.
+ Branched to gnome-2-0
+
2002-08-18 Havoc Pennington <hp@pobox.com>
* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
diff --git a/macros2/autogen.sh b/macros2/autogen.sh
index 7be40a7..735b5fa 100644
--- a/macros2/autogen.sh
+++ b/macros2/autogen.sh
@@ -153,7 +153,17 @@ do
fi
echo "Running aclocal $aclocalinclude ..."
- aclocal-1.4 $aclocalinclude
+ aclocal-1.4 $aclocalinclude || {
+ echo
+ echo "**Error**: \`aclocal' failed. Please fix the warnings"
+ echo "(probably missing development files) and try again"
+ DIE=1
+ }
+
+ if test "$DIE" -eq 1; then
+ exit 1
+ fi
+
if grep "^AM_CONFIG_HEADER" $bn >/dev/null; then
echo "Running autoheader..."
autoheader